openSUSE2021:0807-1: moderate: Security update for libX11

openSUSE Security Update: Security update for libX11 ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0807-1 Rating: moderate References: #1182506 Cross-References: CVE-2021-31535 Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that fixes one vulnerability is now available.
Description:
This update for libX11 fixes the following issues:
– CVE-2021-31535: Fixed missing request length checks in libX11 (bsc#1182506).
This update was imported from the SUSE:SLE-15:Update update project.
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-807=1

Package List:
– openSUSE Leap 15.2 (i586 x86_64):
libX11-6-1.6.5-lp152.5.15.1 libX11-6-debuginfo-1.6.5-lp152.5.15.1 libX11-debugsource-1.6.5-lp152.5.15.1 libX11-devel-1.6.5-lp152.5.15.1 libX11-xcb1-1.6.5-lp152.5.15.1 libX11-xcb1-debuginfo-1.6.5-lp152.5.15.1
– openSUSE Leap 15.2 (noarch):
libX11-data-1.6.5-lp152.5.15.1
– openSUSE Leap 15.2 (x86_64):
libX11-6-32bit-1.6.5-lp152.5.15.1 libX11-6-32bit-debuginfo-1.6.5-lp152.5.15.1 libX11-devel-32bit-1.6.5-lp152.5.15.1 libX11-xcb1-32bit-1.6.5-lp152.5.15.1 libX11-xcb1-32bit-debuginfo-1.6.5-lp152.5.15.1
References:
www.suse.com/security/cve/CVE-2021-31535.html bugzilla.suse.com/1182506